summaryrefslogtreecommitdiff
path: root/with_env
diff options
context:
space:
mode:
Diffstat (limited to 'with_env')
-rwxr-xr-xwith_env23
1 files changed, 23 insertions, 0 deletions
diff --git a/with_env b/with_env
new file mode 100755
index 0000000..6200ebe
--- /dev/null
+++ b/with_env
@@ -0,0 +1,23 @@
+#!/bin/bash
+set +x
+environ=base
+commands=()
+
+while [[ $# > 0 ]]
+do
+ key="$1"
+ case $key in
+ -n|--name)
+ environ="$2"
+ shift 2
+ ;;
+ *)
+ commands+=("$1")
+ shift
+ ;;
+ esac
+done
+
+source activate $environ
+${commands[@]}
+exit $?